
// function CopiarCompartir() {
//     let aux = document.createElement("textarea");
//     aux.value = `${window.location.origin}/`;

//     document.getElementById("id_compartir").innerHTML = " Copiado";
  
//     document.body.appendChild(aux);
//     aux.select();
//     document.execCommand("copy");
//     document.body.removeChild(aux);
// }


function compartir() {
  if (navigator.share) {
      navigator.share({ title: 'TV Online', text: 'Te invito a descubrir la mejor app para ver tus canales favoritos. ¡No te la pierdas!: ', url: window.location.origin }).then(() => { console.log('Compartido exitosamente.'); }).catch((error) => { console.error('Error al compartir:', error); });
  } else { alert('La funci�n de compartir no est� disponible en este navegador.'); }
}

CrearQR();
function CrearQR() {
    // Obtengo los datos de mi input
    let inputValue = `${window.location.origin}/`;
  
    // Obtengo los datos de mi Canvas
    let qrCanvas = document.getElementById("qrCanvas");
  
    // Genero el QR y lo asosio a canvas
    let qr = new QRious({
      element: qrCanvas,
      value: inputValue,
      size: 300
    });
}



document.addEventListener('keydown', function (event) {
  if (event.ctrlKey && event.shiftKey && event.key === 'i') event.preventDefault();
  if (event.ctrlKey && event.shiftKey && event.key === 'I') event.preventDefault();
  if (event.ctrlKey && event.shiftKey && event.key === 'c') event.preventDefault();
  if (event.ctrlKey && event.shiftKey && event.key === 'C') event.preventDefault();
  if (event.ctrlKey && event.shiftKey && event.key === 'j') event.preventDefault();
  if (event.ctrlKey && event.shiftKey && event.key === 'J') event.preventDefault();
  if (event.ctrlKey && event.key === 'u') event.preventDefault();
  if (event.ctrlKey && event.key === 'U') event.preventDefault();
  if (event.key === 'F12') event.preventDefault();

});


document.getElementById("id_compartir").addEventListener("click", CopiarCompartir);